#pragma once
#include "SEGUI_base.h"

class GuiModule :
	public SEGUI_base
{
public:
	GuiModule(seGuiCallback seaudioMaster, void *p_resvd1);
	~GuiModule(void);
	virtual void OnModuleMsg(int p_length, void * p_data);
	void Initialise(bool loaded_from_file);
	virtual void OnGuiPinValueChange(SeGuiPin *p_pin);
private:
	static float StringToFloat(const SeSdkString &p_string);
	void SetValueS(SeSdkString p_string);
	void RegisterPatchParameter();
	void FillTable(int seedvalue);
	void SendStringToAudio( int p_length, void *p_data );
	int Handle(void);
	sepoint m_ptPrev;
	bool m_inhibit_update;
	int numclicks;
	int oldgate;
	int newgate;
	float* random_table;
	float randnum;
	int newseed;
	int oldseed;
	int mode;
};
